> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Simulate NFT mint calldata

> Simulates mint calldata for the given recipients, contract, and network. Useful for previewing calldata and ABI before minting.

<Info>
  ### Related tutorial: [Minting for Farcaster Users](/docs/mint-for-farcaster-users)
</Info>


## OpenAPI

````yaml get /v2/farcaster/nft/mint/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.174.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/farcaster/nft/mint/:
    get:
      tags:
        - Onchain
      summary: Simulate NFT mint calldata
      description: >-
        Simulates mint calldata for the given recipients, contract, and network.
        Useful for previewing calldata and ABI before minting.
      operationId: simulate-nft-mint
      parameters:
        - description: JSON array of recipients (same structure as POST).
          in: query
          name: recipients
          required: true
          schema:
            type: string
        - description: Ethereum address
          in: query
          name: nft_contract_address
          required: true
          schema:
            example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
            pattern: ^0x[a-fA-F0-9]{40}$
            title: EthAddress
            type: string
        - description: Network to mint on.
          in: query
          name: network
          required: true
          schema:
            enum:
              - base
              - optimism
              - base-sepolia
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimulateNftMintResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ZodError'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Resource not found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Server Error
      externalDocs:
        url: https://docs.neynar.com/reference/simulate-nft-mint
components:
  schemas:
    SimulateNftMintResponse:
      description: Calldata simulations for NFT minting.
      items:
        properties:
          abi:
            description: ABI for the mint function.
            nullable: true
          args:
            items: {}
            type: array
          calldata:
            description: Calldata for the mint transaction.
            example: '0xabcdef'
            type: string
          data:
            example: '0x1234abcd'
            type: string
          estimated_total_cost_wei:
            description: >-
              Estimated total cost in wei (value + gas). Use this for price
              display.
            example: '100000000000000'
            type: string
          function_name:
            example: mintTo
            type: string
          network:
            example: base
            type: string
          recipient:
            anyOf:
              - properties:
                  address:
                    $ref: '#/components/schemas/EthAddress'
                  fid:
                    not: {}
                  quantity:
                    default: 1
                    description: Quantity to mint (must be at least 1). Defaults to 1.
                    example: 1
                    minimum: 1
                    type: integer
                required:
                  - address
                type: object
              - properties:
                  address:
                    not: {}
                  fid:
                    $ref: '#/components/schemas/Fid'
                  quantity:
                    default: 1
                    description: Quantity to mint (must be at least 1). Defaults to 1.
                    example: 1
                    minimum: 1
                    type: integer
                required:
                  - fid
                type: object
            description: NFT mint recipient. Exactly one of "address" or "fid" must be set.
          to:
            $ref: '#/components/schemas/EthAddress'
          value:
            example: '0'
            type: string
        required:
          - recipient
          - function_name
          - args
          - to
          - data
          - value
          - estimated_total_cost_wei
          - network
          - calldata
        type: object
      title: SimulateNftMintResponse
      type: array
    ZodError:
      properties:
        code:
          example: InvalidField
          type: string
        errors:
          items:
            properties:
              code:
                type: string
              expected:
                type: string
              message:
                type: string
              path:
                items:
                  type: string
                type: array
              received:
                type: string
            required:
              - code
              - expected
              - received
              - path
              - message
            type: object
          type: array
        message:
          example: Invalid query parameters
          type: string
      required:
        - message
        - code
        - errors
      title: ZodError
      type: object
    ErrorRes:
      description: Details for the error response
      properties:
        code:
          type: string
        message:
          type: string
        property:
          type: string
        status:
          format: int32
          type: integer
      required:
        - message
      title: ErrorRes
      type: object
    EthAddress:
      description: Ethereum address
      example: '0x5a927ac639636e534b678e81768ca19e2c6280b7'
      pattern: ^0x[a-fA-F0-9]{40}$
      title: EthAddress
      type: string
    Fid:
      description: The unique identifier of a farcaster user or app (unsigned integer)
      example: 3
      format: int32
      minimum: 0
      title: Fid
      type: integer
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````